import {data} from "../appData.js";

export class MessageSender {

    constructor(client) {
        this.client = client;
    }

    async send(channelID, message) {

        const channel = await data.client.channels.fetch(channelID);

        if (channel && channel.isTextBased()) {
            await channel.send(message);
        } else {
            console.log('❌ Channel not found!');
        }
    }

}